
 LinHES - Bug # 302: add conky to the linhes repo

Status: Closed Priority: Normal
Author: graysky Category:
Created: 03/22/2009 Assignee: jams
Updated: 12/25/2011 Due date: 12/31/1969
Description: [[http://www.archlinux.org/packages/extra/i686/conky|Conky]] is a great very flexible system monitor that can 

display any number of hardware aspects (CPU temp, GPU temp, HDD temp, load, processes, etc).  As it 
stands right now, all the deps for conky are currently available in the LH repos so it would only be the conky 
package that needs entry.

History
03/22/2009 08:26 pm - jams
Added.  
Please provide a configuration file to include with the pkg.

03/23/2009 03:27 am - graysky
Here is my profile I'm using on my main desktop.  It isn't appropriate for general use.  Profiles by their nature are HIGHLY personal and system 
specific.  Mine is written for a quad core CPU for example, two hdds, an nvidia gpu, an Intel P35 chipset, etc.  Additionally, for the temp monitoring to 
work, both **hddtemp** and **lmsensors** need to be installed (sorry I didn't think about these two when I originally opened the ticket for conky).  On 
the plus side, rrdtool will require both of them so this isn't something w/ limited appeal.

Additional generic profiles are available from the conky homepage, but again, they will very likely need to be customized to each user's 
preferences/hardware.

~/.conkyrc:

<code># for this to work you need both lm-sensors and hddtemp
# get both from main repos

# set to yes if you want Conky to be forked in the background
background no

#cpu_avg_samples 2
#net_avg_samples 2

own_window yes
own_window_type override
own_window_transparent yes
own_window_hints undecorated,below,sticky,skip_taskbar,skip_pager

out_to_console no

# X font when Xft is disabled, you can pick one with program xfontsel
#font 7x12
#font 6x10
#font 7x13
#font 8x13
#font 7x12
#font *mintsmild.se*
#font -*-*-*-*-*-*-34-*-*-*-*-*-*-*
#font -artwiz-snap-normal-r-normal-*-*-100-*-*-p-*-iso8859-1
# Use Xft?
use_xft yes

# Xft font when Xft is enabled
xftfont Bitstream Vera Sans Mono:size=8

#own_window_transparent no
#own_window_colour hotpink
# Text alpha when using Xft
xftalpha 0.8

on_bottom yes

# Update interval in seconds
update_interval 2
# Create own window instead of using desktop (required in nautilus)
#own_window no

# Use double buffering (reduces flicker, may not work for everyone)
double_buffer yes

# Minimum size of text area
#minimum_size 250 5
maximum_width 258

# Draw shades?
draw_shades no

# Draw outlines?
draw_outline no

# Draw borders around text
draw_borders no

# Stippled borders?
stippled_borders 10

# border margins
border_margin 4

# border width
border_width 1

# Default colors and also border colors
default_color white
default_shade_color white
default_outline_color white

# Text alignment, other possible values are commented
#alignment top_left
#minimum_size 10 10
#alignment top_right
alignment bottom_left

04/20/2025 2/4



#alignment bottom_right

# Gap between borders of screen and text
gap_x 12
gap_y 37
# Add spaces to keep things from moving about?  This only affects certain objects.
use_spacer no

# Subtract file system buffers from used memory?
no_buffers yes

# set to yes if you want all text to be in uppercase
uppercase no

TEXT
${color #ddaa00}$nodename$color
$sysname $kernel on $machine
${color lightgrey}Uptime:$color $uptime ${color lightgrey}- Load:$color $loadavg${color lightgrey}
RAM Usage:$color $memperc% or $mem of $memmax${color lightgrey}
Swap Usage:$color $swapperc%${color lightgrey}
$color$stippled_hr${color lightgrey}
Intel Xeon X3360 @ $color${freq_g} GHz${color lightgrey}
Average CPU History:
${color black}${cpugraph 000000 5000a0}${color lightgrey}
 ${color lightgrey}Core0:$color ${execi 8 sensors | grep -A 1 'Core 0' | cut -c15-16 | sed '/^$/d'} C${color grey} @$color ${cpu cpu1}%   
${alignr}${cpubar cpu1 6,120}
 ${color lightgrey}Core1:$color ${execi 8 sensors | grep -A 1 'Core 1' | cut -c15-16 | sed '/^$/d'} C${color grey} @$color ${cpu cpu2}%   
${alignr}${cpubar cpu2 6,120}
 ${color lightgrey}Core2:$color ${execi 8 sensors | grep -A 1 'Core 2' | cut -c15-16 | sed '/^$/d'} C${color grey} @$color ${cpu cpu3}%   
${alignr}${cpubar cpu3 6,120}
 ${color lightgrey}Core3:$color ${execi 8 sensors | grep -A 1 'Core 3' | cut -c15-16 | sed '/^$/d'} C${color grey} @$color ${cpu cpu4}%   
${alignr}${cpubar cpu4 6,120}${color grey}
$color$stippled_hr${color lightgrey}
Thermal Monitors:${color lightgrey}
${alignr}GPU:$color ${execi 8 nvclock -T | grep 'GPU t' | cut -c21-22} C${color grey}  MB:$color ${execi 8 sensors | grep temp3 | cut -c15-16} C${color 
grey}  sda:$color ${execi 300 nc localhost 7634 | cut -c23-24} C${color grey}  sdb:$color ${execi 300 nc localhost 7634 | cut -c50-51} C${color grey}
$stippled_hr${color light grey}
${color lightgrey}Processes:$color $processes  ${color grey}Running:$color $running_processes
${color}Name              PID     CPU%   MEM%
${color #ddaa00} ${top name 1} ${top pid 1} ${top cpu 1} ${top mem 1}
${color lightgrey} ${top name 2} ${top pid 2} ${top cpu 2} ${top mem 2}
${color lightgrey} ${top name 3} ${top pid 3} ${top cpu 3} ${top mem 3}
${color}Mem usage
${color #ddaa00} ${top_mem name 1} ${top_mem pid 1} ${top_mem cpu 1} ${top_mem mem 1}
${color lightgrey} ${top_mem name 2} ${top_mem pid 2} ${top_mem cpu 2} ${top_mem mem 2}
${color lightgrey} ${top_mem name 3} ${top_mem pid 3} ${top_mem cpu 3} ${top_mem mem 3}
</code>

03/23/2009 11:54 am - jams
The very simple one provided by Conky will be good enough.
This ticket will be closed

12/25/2011 03:06 pm - jams
- Target version changed from 7.2 to 6.00.04
